function gen_table_NMISE

fnamea = strcat('./NIWAResults/PAresults/FullSet/PA_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,1)= NMISE*100;
fnamea = strcat('./NIWAResults/PAresults/ConSet/PA_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,2)= NMISE*100;
fnamea = strcat('./NIWAResults/PEresults/FullSet/PE_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,3)= NMISE*100;
fnamea = strcat('./NIWAResults/PEresults/ConSet/PE_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,4)= NMISE*100;
fnamea = strcat('./NIWAResults/TAresults/FullSet/TA_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,5)= NMISE*100;
fnamea = strcat('./NIWAResults/TAresults/ConSet/TA_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,6)= NMISE*100;
fnamea = strcat('./NIWAResults/WHresults/FullSet/WH_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,7)= NMISE*100;
fnamea = strcat('./NIWAResults/WHresults/ConSet/WH_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,8)= NMISE*100;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

mi = zeros(size(comp_NMISE,2),1);
semi = zeros(size(comp_NMISE,2),1);

criteria = {'$aic_C$', '$kic$', '$kic_C$', '$bic$','$ebic$', '$ebic^o$',...
    '$sco$','$es$', '$gmdl$','$egm$', '$mmlu$', '$mmlg$', 'CV'};

fnameM = strcat('NMISE.tex');
fid = fopen(fnameM, 'w');
fprintf(fid, '\\begin{tabular}[t!]{lcccccccc} \n');
fprintf(fid, '\\hline \n');
fprintf(fid, '& \\multicolumn{2}{c}{Patumahoe} & \\multicolumn{2}{c}{Penrose} & \\multicolumn{2}{c}{Takapuna} & \\multicolumn{2}{c}{whangaparaoa} \\\\ \n');
fprintf(fid, '\\hline \n');
fprintf(fid, ' & FullSet & ConSet & FullSet & ConSet& FullSet & ConSet& FullSet & ConSet \\\\ \n');

for ii = 1:length(criteria)
    fprintf(fid, char(criteria(ii)));
    fprintf(fid, '&');
    
    for jj = 1:size(comp_NMISE,2)
        [mi(jj,1), ~] = min(comp_NMISE(:,jj));
        semi(jj,1) =  mi(jj,1) + 1/100*mi(jj,1);
        mm (jj,1) = mi(jj,1) + 10/100*mi(jj,1);
            if comp_NMISE(ii,jj) == mi(jj,1)
                fprintf(fid, '{\\underline{ \\bf  %4.2f }}', comp_NMISE(ii,jj));
            else
                if comp_NMISE(ii,jj) <= semi(jj,1)
                    fprintf(fid, '{ \\bf  %4.2f }', comp_NMISE(ii,jj));
                else
                    if comp_NMISE(ii,jj) >= mm(jj,1)
                    fprintf(fid, '{ \\it %4.2f }', comp_NMISE(ii,jj));
                    else
                    fprintf(fid, '%4.2f', comp_NMISE(ii,jj));
                    end %%if bad results              
                end %%if second minimum
            end %%if minimum
                        
   
      
                
        if jj == size(comp_NMISE,2)
            fprintf(fid, '\\\\ \n');
        else
            fprintf(fid, '&');
        end  %if
    end %jj
end %ii

fclose(fid);


fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');
fprintf(fid, '\\end{tabular} \n');
fclose(fid);
end
