function [Matbeta, ITC] = train(y, X, algo)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% algo             greedy algorithm
% ???
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if strcmp(algo,'MPA')
    mub = 20000;
    nu=0.1;
    [Matbeta,~, ~, ITC, ~, ~] = mpa( y, X, mub, nu );
elseif strcmp(algo,'OMP')
    [Matbeta, ~, ITC, ~] = omp(y, X);
elseif strcmp(algo,'RMP')
    mub = 20000;
    [Matbeta,~, ~, ITC, ~, ~] = rmp( y, X, mub);
elseif strcmp(algo,'FWA')
    flag_warm_start = 0;
    flag_ls         = 1;
    mub             = 20000;
    prec            = 10^(-6);
    Ng              = 20;
    [Matbeta, ~, ~, ~, ITC] = fwa( y, X, flag_warm_start, flag_ls,  mub, prec, Ng);
elseif strcmp(algo,'CMP')
    flag_warm_start = 1;
    flag_ls         = 1;
    mub             = 20000;
    prec            = 10^(-6);
    Ng              = 20;
    [Matbeta, ~, ~, ~, ITC] = cmp( y, X, flag_warm_start, flag_ls,  mub, prec, Ng);
else
    fprintf('Incorrect greedy algorithm');
    return;
end
% [~,cvstep] = CV(y, X, algo);

end %function

    
   