function [cv,cvstep] = CV( y, X)
[n,p] = size(X);
maxNumCoef = min(n,p);
const = maxNumCoef;
cv = zeros(const,1);
SEL = zeros(const,1); %square error loss
SEL_vec = zeros(const,25);
subset = zeros(n-1,25);


for i = 1:25
    subset(:,i) = datasample(1:n, n-1, 'Replace',false);

    [Matbeta, vec_err, ITC, vec_combr] = omp( y(subset(:,i),:), X(subset(:,i),:));
    
    X_prime = X(setdiff((1:n), subset(:,i)),:);
    y_prime = y(setdiff((1:n), subset(:,i)),:);
   
    
    for j = 1:const
        
        if Matbeta(:,j) == zeros(p,1)
            break;
        end
        SEL(j) = (y_prime - X_prime*Matbeta(:,j))^2;
    end
    SEL_vec(:,i) = SEL;
   
    
end
cv = mean(SEL_vec,2);
[~,cvstep] = min(cv); 
end



    
    
    
    
