function [ctp, cfp] = comp_rates(TotalSelP, count, Th, beta_true)

A   = (TotalSelP./count > Th);
B   = repmat((beta_true~=0),1,size(A,2));

TP  = (A==1) & (B==1);
ctp = sum(TP,1)./sum((beta_true~=0));

FP = (A==1) & (B==0);
cfp = sum(FP,1)./sum((beta_true==0));

end %function

